com.io7m.r2.filters

## Class R2ShaderFilterEmissionParameters

- java.lang.Object
- - com.io7m.r2.filters.R2ShaderFilterEmissionParameters

- All Implemented Interfaces:
    R2ShaderFilterEmissionParametersType

      @Generated(value={"Immutables.generator","R2ShaderFilterEmissionParametersType"})
      public final class R2ShaderFilterEmissionParameters
      extends Object
      implements R2ShaderFilterEmissionParametersType

  Parameters for the emission shader.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2ShaderFilterEmissionParameters.Builder` Builds instances of type `R2ShaderFilterEmissionParameters`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2Texture2DUsableType` | `albedoEmissionTexture()`
    `static R2ShaderFilterEmissionParameters.Builder` | `builder()` Creates a builder for `R2ShaderFilterEmissionParameters`.
    `static R2ShaderFilterEmissionParameters` | `copyOf(R2ShaderFilterEmissionParametersType instance)` Creates an immutable copy of a `R2ShaderFilterEmissionParametersType` value.
    `float` | `emissionIntensity()` A specification of an intensity value by which values sampled from the `albedoEmissionTexture()` are multiplied.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2ShaderFilterEmissionParameters` that have equal attribute values.
    `float` | `glowIntensity()` A specification of an intensity value by which values sampled from the `glowTexture()` are multiplied.
    `R2Texture2DUsableType` | `glowTexture()`
    `int` | `hashCode()` Computes a hash code from attributes: `albedoEmissionTexture`, `emissionIntensity`, `glowTexture`, `glowIntensity`.
    `static R2ShaderFilterEmissionParameters` | `of(R2Texture2DUsableType albedoEmissionTexture, float emissionIntensity, R2Texture2DUsableType glowTexture, float glowIntensity)` Construct a new immutable `R2ShaderFilterEmissionParameters` instance.
    `String` | `toString()` Prints the immutable value `R2ShaderFilterEmissionParameters` with attribute values.
    `R2ShaderFilterEmissionParameters` | `withAlbedoEmissionTexture(R2Texture2DUsableType value)` Copy the current immutable object by setting a value for the `albedoEmissionTexture` attribute.
    `R2ShaderFilterEmissionParameters` | `withEmissionIntensity(float value)` Copy the current immutable object by setting a value for the `emissionIntensity` attribute.
    `R2ShaderFilterEmissionParameters` | `withGlowIntensity(float value)` Copy the current immutable object by setting a value for the `glowIntensity` attribute.
    `R2ShaderFilterEmissionParameters` | `withGlowTexture(R2Texture2DUsableType value)` Copy the current immutable object by setting a value for the `glowTexture` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### albedoEmissionTexture

          public R2Texture2DUsableType albedoEmissionTexture()

      Specified by:
        `albedoEmissionTexture` in interface `R2ShaderFilterEmissionParametersType`
      Returns:
        The texture that contains the emission and albedo values

    - #### emissionIntensity

          public float emissionIntensity()

      A specification of an intensity value by which values sampled from the `albedoEmissionTexture()` are multiplied. This effectively allows control over the intensity of the emission effect in the final image.
      Specified by:
        `emissionIntensity` in interface `R2ShaderFilterEmissionParametersType`
      Returns:
        The intensity of the emissive sections of the image

    - #### glowTexture

          public R2Texture2DUsableType glowTexture()

      Specified by:
        `glowTexture` in interface `R2ShaderFilterEmissionParametersType`
      Returns:
        The texture that contains a blurred emission

    - #### glowIntensity

          public float glowIntensity()

      A specification of an intensity value by which values sampled from the `glowTexture()` are multiplied. This effectively allows control over the intensity of the glow effect in the final image.
      Specified by:
        `glowIntensity` in interface `R2ShaderFilterEmissionParametersType`
      Returns:
        The intensity of the glow sections of the image

    - #### withAlbedoEmissionTexture

          public final R2ShaderFilterEmissionParameters withAlbedoEmissionTexture(R2Texture2DUsableType value)

      Copy the current immutable object by setting a value for the `albedoEmissionTexture` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for albedoEmissionTexture
      Returns:
        A modified copy of the `this` object

    - #### withEmissionIntensity

          public final R2ShaderFilterEmissionParameters withEmissionIntensity(float value)

      Copy the current immutable object by setting a value for the `emissionIntensity` attribute. A value strict bits equality used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for emissionIntensity
      Returns:
        A modified copy of the `this` object

    - #### withGlowTexture

          public final R2ShaderFilterEmissionParameters withGlowTexture(R2Texture2DUsableType value)

      Copy the current immutable object by setting a value for the `glowTexture` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for glowTexture
      Returns:
        A modified copy of the `this` object

    - #### withGlowIntensity

          public final R2ShaderFilterEmissionParameters withGlowIntensity(float value)

      Copy the current immutable object by setting a value for the `glowIntensity` attribute. A value strict bits equality used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for glowIntensity
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2ShaderFilterEmissionParameters` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `albedoEmissionTexture`, `emissionIntensity`, `glowTexture`, `glowIntensity`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2ShaderFilterEmissionParameters` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2ShaderFilterEmissionParameters of(R2Texture2DUsableType albedoEmissionTexture,
                                                            float emissionIntensity,
                                                            R2Texture2DUsableType glowTexture,
                                                            float glowIntensity)

      Construct a new immutable `R2ShaderFilterEmissionParameters` instance.
      Parameters:
        `albedoEmissionTexture` - The value for the `albedoEmissionTexture` attribute
        `emissionIntensity` - The value for the `emissionIntensity` attribute
        `glowTexture` - The value for the `glowTexture` attribute
        `glowIntensity` - The value for the `glowIntensity` attribute
      Returns:
        An immutable R2ShaderFilterEmissionParameters instance

    - #### copyOf

          public static R2ShaderFilterEmissionParameters copyOf(R2ShaderFilterEmissionParametersType instance)

      Creates an immutable copy of a `R2ShaderFilterEmissionParametersType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2ShaderFilterEmissionParameters instance

    - #### builder

          public static R2ShaderFilterEmissionParameters.Builder builder()

      Creates a builder for `R2ShaderFilterEmissionParameters`.
      Returns:
        A new R2ShaderFilterEmissionParameters builder

Copyright © 2017 <code@io7m.com> http://io7m.com